# cf
# by David Edwards <edwards@dee-engineering.com>
# Wed Feb  7 21:11:56 EST 2001

CC= g77
#CFLAGS= -O2
CFLAGS= -ggdb -Wall
LINK_FLAGS= cf.o comp.o ctoi.o getc.o getcf.o getunit.o tfupow.o \
 getfu.o tfusub.o tu.o tv.o vadd.o

#LSTART= '/usr/lib/gcc-lib/i486-linux/2.7.2.3/crtbegin.o'
#LSTART= /usr/lib/gcc-lib/i486-suse-linux/2.95.2/crtbegin.o
#LSTART= crtbegin.o

# Cygwin:     $(CC) -ggdb -o $@ $(LSTART) $^
# UNIX/Linux: $(CC) -ggdb -o $@ $(LSTART) $^ -lm 

cf:	$(LINK_FLAGS)
		$(CC) -ggdb -o $@ $(LSTART) $^

clean:
		rm -f *.o cf core

install:	cf
		install -s cf /usr/local/bin

.f.o :
	$(CC) $(CFLAGS) -c $<
